Bug 1129573 - Deployment of SNAPSHOTS artefacts to remote repository does not respect maven settings
Summary: Deployment of SNAPSHOTS artefacts to remote repository does not respect maven...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER5
: 6.1.0
Assignee: manstis
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 08:49 UTC by Anton Giertli
Modified: 2018-12-06 17:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Anton Giertli 2014-08-13 08:49:51 UTC
Description of problem:

Deployment of the business-central project to the remote maven repository - via configuring distributionManagement section of pom.xml behaves differently than deployment of the equally configured project deployed via command line (mvn deploy).

This seems to be related to only -SNAPSHOTS artefacts.


Version-Release number of selected component (if applicable):

BPM 6.0.2
How reproducible:
always

Steps to Reproduce

1) Set version of business-central project to -SNAPSHOT
2) add following snippet to pom.xml

  <distributionManagement>
    <repository>
      <uniqueVersion>false</uniqueVersion>
      <id>corp1</id>
      <name>Corporate Repository</name>
      <url>file:///home/username/Downloads/myrepo</url>
      <layout>default</layout>
       <snapshots>
        <enabled>true</enabled>
      </snapshots>
    </repository>
   
    </distributionManagement>

3) deploy the project - the artefact is not deployed into the repository.
4) Change the above maven config for


<distributionManagement>
   <snapshotRepository>
      <uniqueVersion>false</uniqueVersion>
      <id>propSnap</id>
      <name>Propellors Snapshots</name>
      <url>file:///home/osiris/Downloads/myrepo</url>
      <layout>default</layout>
    </snapshotRepository>
    </distributionManagement>

build the project again. The artefact is correctly deployed. Both configuration works when executing "mvn deploy" command from command line using 3.0.5 - proof http://pastebin.test.redhat.com/227636

This is what maven documentation says: The repository elements will be used for snapshot distribution if the snapshotRepository is not defined. So this means that both configuration should work also in business-central.

Actual results:

Same maven configuration used in business-central project and in project built outside is not giving the same result.
Expected results:

Same configuration works in business-central project and also in the project built/deployed outside of business-central


Additional info:

Comment 3 Mario Fusco 2014-08-25 10:38:26 UTC
My understanding is that business-central should use what's in kie-ci on that regards so I don't see how they could have a different behavior. For this reason I believe that there is some point in business-central where it is doing something custom instead of doing the deploy through kie-ci. I am reassigning this ticket to Michael so he could check this.

Comment 5 Marek Winkler 2015-01-30 08:07:58 UTC
Verification of this BZ is blocked by BZ 1183984 - setting back to MODIFIED to verify again with ER5.

Comment 6 jvahala 2015-03-18 15:58:48 UTC
Deployment works well. Verified on ER6.


Note You need to log in before you can comment on or make changes to this bug.